umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_activitywidget.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlwidgets/activitywidget.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ActivityWidget_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ActivityWidget_t | qt_meta_stringdata_ActivityWidget
static const uint | qt_meta_data_ActivityWidget []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ActivityWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_ActivityWidget_t
Definition: moc_activitywidget.cpp:24

## Variable Documentation

## ◆ qt_meta_data_ActivityWidget

const uint qt_meta_data_ActivityWidget[]
| static

## ◆ qt_meta_stringdata_ActivityWidget

const qt_meta_stringdata_ActivityWidget_t qt_meta_stringdata_ActivityWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 14),
QT_MOC_LITERAL(1, 15, 11),
QT_MOC_LITERAL(2, 27, 0),
QT_MOC_LITERAL(3, 28, 5),
QT_MOC_LITERAL(4, 34, 5),
QT_MOC_LITERAL(5, 40, 17),
QT_MOC_LITERAL(6, 58, 8),
QT_MOC_LITERAL(7, 67, 6),
QT_MOC_LITERAL(8, 74, 12),
QT_MOC_LITERAL(9, 87, 7),
QT_MOC_LITERAL(10, 95, 6),
QT_MOC_LITERAL(11, 102, 3),
QT_MOC_LITERAL(12, 106, 5),
QT_MOC_LITERAL(13, 112, 6),
QT_MOC_LITERAL(14, 119, 5),
QT_MOC_LITERAL(15, 125, 5)
},
"ActivityWidget\0sigActMoved\0\0diffX\0"
"diffY\0slotMenuSelection\0QAction*\0"
"action\0ActivityType\0Initial\0Normal\0"
"End\0Final\0Branch\0Invok\0Param"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_activitywidget.cpp:28